@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@400;700&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600&display=swap");




/*
font-family: 'Roboto Condensed', sans-serif;
*/

:root {
    --padding-container: 50px 0;
    --color-title: #001A49;
    --color-letters: #0E4F88;
    --header-height: 4rem;   /*============ALTO DEL HEADER===================*/

    /*========== Colors ==========*/
    /*Color mode HSL(hue, saturation, lightness)*/
    --black-color: hsla(0, 0%, 100%);
    --black-color-light: hsla(0, 0%, 100%);
    --black-color-lighten: hsla(0, 0%, 100%);
    --white-color: #000000;
    --body-color: hsl(0, 0%, 100%);
  
    /*========== Font and typography =  =========*/
    /*.5rem = 8px | 1rem = 16px ...*/
    --body-font: "Montserrat", sans-serif;
    --normal-font-size: .938rem;
  
    /*========== Font weight ==========*/
    --font-regular: 500;
    --font-semi-bold: 600;
  
    /*========== z index ==========*/
    --z-tooltip: 10;
    --z-fixed: 100;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    
}

body::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1; /* Coloca el fondo detrás de todos los elementos */
    background-color: #ffffff;
    background-image: linear-gradient(30deg, #0E4F88 12%, transparent 12.5%, transparent 87%, #0E4F88 87.5%, #0E4F88), linear-gradient(150deg, #0E4F88 12%, transparent 12.5%, transparent 87%, #0E4F88 87.5%, #0E4F88), linear-gradient(30deg, #0E4F88 12%, transparent 12.5%, transparent 87%, #0E4F88 87.5%, #0E4F88), linear-gradient(150deg, #0E4F88 12%, transparent 12.5%, transparent 87%, #0E4F88 87.5%, #0E4F88), linear-gradient(60deg, #0E4F8877 25%, transparent 25.5%, transparent 75%, #0E4F8877 75%, #0E4F8877), linear-gradient(60deg, #0E4F8877 25%, transparent 25.5%, transparent 75%, #0E4F8877 75%, #0E4F8877);
    background-size: 12px 21px;
    background-position: 0 0, 0 0, 6px 11px, 6px 11px, 0 0, 6px 11px;
    opacity: 0.04;
}


body {
    font-family: "Arial", "Helvetica", "sans-serif",'Roboto Condensed';
    font-family: var(--body-font);
    background-color: var(--body-color);

    /* background-image: url("/images/Index_image/Wallpaper_Home_4.jpg");
    background-repeat: no-repeat;
    background-size:100%;
*/
}


/*=============== BASE ===============*/

ul {
  list-style: none;
  /* Color highlighting when pressed on mobile devices */
  /*-webkit-tap-highlight-color: transparent;*/
}



.nav__link a{
  text-decoration: none;
  color: black;
}

main{
  margin-top: 6rem;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1200px;
  margin-inline: 1.5rem;
}

/*=============== HEADER ===============*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--black-color);
  backdrop-filter: blur(5px);  /* HACER BORROSO LO DE ATRAS */ 
  /* box-shadow: 0 2px 16px hsla(220, 32%, 8%, .3); */
  z-index: var(--z-fixed);
  padding-top: 1.5rem;
}

/*=============== NAV ===============*/
.nav {
  height: var(--header-height);
  display: flex;
  text-align: left;
}

.nav__burger, 
.nav__close {
  color: var(--white-color);
}

.nav__data {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}


.nav__toggle {
  position: relative;
  width: 32px;
  height: 32px;
}

.nav__burger, 
.nav__close {
  position: absolute;
  width: max-content;
  height: max-content;
  inset: 0;
  margin: auto;
  font-size: 1.25rem;
  cursor: pointer;
  transition: opacity .1s, transform .4s;
}

.nav__close {
  opacity: 0;
}

.dropdown__menu {
  opacity: 1;
  pointer-events: initial;
  transition: top .3s;
  width: 300px;
}

.dropdown__submenu{

  width: 250px;
}

/* SELECTION LANGUAJE */ 

.language-buttons{
  position: fixed;
  top: 0;
  right: 0;
  z-index: 9999;
  margin-right: 20px;
  display: flex;
  gap: .5em;
  padding-top: 10px;
}

.language-button{

  text-decoration: none;
  color: black;
  padding: 5px 10px;
  border-radius: 10px;
  font-size: 0.85rem;
}

.language-button:hover{
  background-color: #b7b7b7;

}

.selected{
  background-color: #d6d6d6;
}


/* SEARCH */ 

.search-box{
  display: flex;
  position: relative;
  height: 40px;
  width: 40px;
  color: rgb(0, 0, 0);
  margin: auto 0;
  margin-left: auto; /* Mueve este contenedor a la derecha */
}
.search-box i{
  position: absolute;
  height: 100%;
  width: 100%;
  line-height: 40px;
  text-align: center;
  font-size: 22px;
  color: #000000;
  font-weight: 600;
  cursor: pointer;
  transition: all 0.3s ease;
}

.input-box{
  position: absolute;
  right: calc(100% - 40px);
  top: 40px;
  height: 55px;
  width: 250px;
  background: #0E4F88;
  border-radius: 6px;
  opacity: 0;
  pointer-events: none;
  transition: all 0.4s ease;
}

.showInput .search-box .input-box{
  top: 45px;
  opacity: 1;
  pointer-events: auto;
  background: #0E4F88;
}

.input-box::before{
  content: '';
  position: absolute;
  height: 20px;
  width: 20px;
  background: #0E4F88;
  right: 10px;
  top: -6px;
  transform: rotate(45deg);
}

.search-box .input-box input{
  position: absolute;
  top: 50%;
  left: 50%;
  border-radius: 4px;
  transform: translate(-50%, -50%);
  height: 35px;
  width: 230px;
  outline: none;
  padding: 0 15px;
  font-size: 16px;
  border: none;
}


.logoimg {
  min-width: 250px;
  max-width: 400px;
  width: 100%;
  margin:0 30px;
}

/* Navigation for mobile devices */
@media screen and (max-width: 900px) {
  .header{
    padding-top: 2rem;
  }
  
  .nav__menu {
    position: absolute;
    left: 0;
    top: 4.5rem;
    width: 100%;
    height: calc(100vh - 5.5rem);
    overflow: auto;
    pointer-events: none;
    opacity: 0;
    transition: top 0.4s, opacity 0.3s;
  }
  .nav__menu::-webkit-scrollbar {
    width: 0;
  }
  .nav__list {
    background-color: var(--black-color);
    padding-top: 1rem;
  }

  .nav__data{
    display: flex;
    width: 100%; 
    justify-content: left;
  }

  .logoimg {
    margin: 0 auto;
    max-width: 150px;
  }

  .dropdown__menu {
    width: 100%;
  }
  
  .dropdown__submenu{
    width: 100%;
  }

  .language-button{

    font-size: 0.75rem;
  }
  

}

.nav__link {
  color: var(--white-color);
  /*background-color: var(--black-color);*/
  font-weight: var(--font-semi-bold);
  padding: 1.25rem 1.5rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: background-color .3s;
}

.nav__link:hover {
  background-color: var(--black-color-light);
}

/* Show menu */
.show-menu {
  opacity: 1;
  top: 5.5rem;
  pointer-events: initial;
}

/* Show icon */
.show-icon .nav__burger {
  opacity: 0;
  transform: rotate(90deg);
}
.show-icon .nav__close {
  opacity: 1;
  transform: rotate(90deg);
}

/*=============== DROPDOWN ===============*/
.dropdown__item {
  cursor: pointer;
}

.dropdown__arrow {
  font-size: 1.25rem;
  font-weight: initial;
  transition: transform .4s;
}

.dropdown__link, 
.dropdown__sublink {
  padding: 0.6rem 0.50rem 0.6rem 2.5rem;
  color: var(--white-color);
  background-color: var(--black-color-light); /*transparent*/
  display: flex;
  align-items: center;
  column-gap: .5rem;
  font-weight: var(--font-regular);
  font-size: 0.9rem;
  transition: background-color .3s;
}



.dropdown__link i, 
.dropdown__sublink i {
  font-size: 0.85rem;
  font-weight: initial;
  font-weight: var(--font-regular);
}

.dropdown__link_1{
  color: #000000;
}

.dropdown__link:hover, 
.dropdown__sublink:hover {
  background-color: #d6d6d6;
}

.dropdown__menu, 
.dropdown__submenu {
  max-height: 0;
  overflow: hidden;
  transition: max-height .4s ease-out;
  
}

/* Show dropdown menu & submenu */
.dropdown__item:hover .dropdown__menu, 
.dropdown__subitem:hover > .dropdown__submenu {
  max-height: 1000px;
  transition: max-height .4s ease-in;
}

/* Rotate dropdown icon */
.dropdown__item:hover .dropdown__arrow {
  transform: rotate(180deg);
}

/*=============== DROPDOWN SUBMENU ===============*/
.dropdown__add {
  margin-left: auto;
}

.dropdown__sublink {
  background-color: var(--black-color-light); /* transparent */
}

  

/* breadcrumb / RUTA DE DIRECCIONES */
.title__breadcrumb{
  max-width: 1200px;
  width: 90%;
  margin: auto;
}

.breadcrumb__title {
  color: #0E4F88;
  text-decoration: none;
}

.breadcrumb__title:hover{
  color: #0E4F88;
  text-decoration: underline;
}

.breadcrumb__container {
  padding-top: 2.25rem;
  padding-bottom: 1rem;
  text-align: left;
}

.cd-breadcrumb {
  width: 100%;
  margin: 0 auto;
  border-radius: .25em;
  text-align: left; /* Centra los elementos */
}

.cd-breadcrumb li {
  display: inline-block;
  gap: 1px;
  text-align: left; /* Alinea los elementos hacia la izquierda */
}

.cd-breadcrumb li::after {
  content: '\00bb';
  margin: 0 .6em;
  color: #a59595;
}

.cd-breadcrumb li:last-of-type::after {
  display: none;
}

.cd-breadcrumb li > * {
  display: inline-block;
  color: #000000;
}

.cd-breadcrumb li.current > * {
  color: #0E4F88;
}

/*==================ESTILO PARA CONTENEDORES QUE DIVIDEN LOS PRODUCTOS EN VARIAS PAGINAS=======================*/


#paginationContainer {
  margin-top: 1%; /* Añadimos un margen hacia abajo para separar los botones de paginación */
  margin-left: 3%;
}

.pagination-button {
  padding: 8px 12px;
  margin: 5px;
  border: 1px solid #0E4F88;
  background-color: transparent;  /* Eliminar fondo */
  color: #0E4F88;
  cursor: pointer;
  border-radius: 5px;
  font-size: 14px;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.pagination-button:hover {
  background-color: #0E4F88;
  color: white;
}

.pagination-button.active {
  background-color: #0E4F88;
  color: white;
  font-weight: bold;
}

.pagination-button:disabled {
  background-color: transparent; /* Sin fondo cuando está deshabilitado */
  color: #666;
  cursor: not-allowed;
  border: 1px solid #ccc;  /* Cambiar el borde cuando está deshabilitado */
}

.total-records {
  padding: 8px 12px;
  margin: 5px;
  border: 1px solid #0E4F88;
  background-color: transparent;
  color: #0E4F88;
  font-size: 14px;
  border-radius: 5px;
  display: inline-block;
}


/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 340px) {
  .container {
    margin-inline: 1rem;
  }

  .nav__link {
    padding-inline: 1rem;
  }

}

@media screen and (max-width: 800px) {
  .breadcrumb__title{
    font-size: 0.75rem;
  }
  
  .current{
    font-size: 0.75rem;
  }

}


/* For large devices */
@media screen and (min-width: 800px) {
  .container {
    margin-inline: auto;
  }

  .nav {
    height: calc(var(--header-height) + 2rem);
    display: flex;
    justify-content: space-between;
  }
  .nav__toggle {
    display: none;
  }
  .nav__list {
    height: 100%;
    display: flex;
    column-gap: 3rem;
  }
  .nav__link {
    height: 100%;
    padding: 0;
    justify-content: initial;
    column-gap: .25rem;
  }
  .nav__link:hover {
    background-color: transparent;
  }

  .dropdown__item, 
  .dropdown__subitem {
    position: relative;
  }

  .dropdown__menu, 
  .dropdown__submenu {
    max-height: initial;
    overflow: initial;
    position: absolute;
    left: 0;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s, top .3s;
  }

  .dropdown__link, 
  .dropdown__sublink {
    padding-inline: 1rem 3.5rem;
  }

  .dropdown__subitem .dropdown__link {
    padding-inline: 1rem;
  }

  .dropdown__submenu {
    position: absolute;
    left: 100%;
    top: .5rem;
  }

  /* Show dropdown menu */
  .dropdown__item:hover .dropdown__menu {
    opacity: 1;
    pointer-events: initial;
    transition: top .3s;
  }

  /* Show dropdown submenu */
  .dropdown__subitem:hover > .dropdown__submenu {
    opacity: 1;
    top: 0;
    pointer-events: initial;
    transition: top .3s;
  }
  
} 


